Subject: Re: [PATCH v2] test-lib: unset trace2 parent envvars

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Jan 2022 10:29:38 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> diff --git a/t/test-lib.sh b/t/test-lib.sh
>> index 0f7a137c7d..faf25ba1b2 100644
>> --- a/t/test-lib.sh
>> +++ b/t/test-lib.sh
>> @@ -432,7 +432,7 @@ EDITOR=:
>>  unset VISUAL EMAIL LANGUAGE $("$PERL_PATH" -e '
>>  	my @env = keys %ENV;
>>  	my $ok = join("|", qw(
>> -		TRACE
>> +		TRACE	# Allow tracing in general, but see unsets below.
>
> I think it would be good to turn that -e into a -we, which would tell
> you why this doesn't work the way you think:
>
>     Possible attempt to put comments in qw() list at -e line 14.
>     Possible attempt to separate words with commas at -e line 14.
>
> I.e. you added one string "#" to the array, and a string "Allow" etc.

Having an expert who can spot these things at first glance is handy
;-).  Very much appreciated.

In any case, the previous iteration has been in 'next' long enough
without causing trouble for those who use a variant based on 'next'
at $DAYJOB, I presume, so my recommendation is to just let it
graduate first, and pursue your suggestion to do more things in this
scriptlet (below, omitted) as a "further improvement" on top.

Thanks.